Cards, prop trading & accounting

Accept Rain Agreements

Records per-agreement acceptances (IP, user agent, version) for the caller's approved Rain card application; idempotent.

POSThttps://api.toku.com/hris/accept-rain-agreements

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/accept-rain-agreements' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "agreements": [
    {
      "agreementType": "string",
      "documentUrl": "string",
      "userAgent": "string"
    }
  ]
}'
200 response
{
  "success": true,
  "acceptedCount": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

agreementsobject[]required

Allowed: at least 1 items

Show child attributes
agreementTypestringrequired
documentUrlstring
userAgentstringrequired

Response

200Successful response
successbooleanrequired
acceptedCountintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits